Search Members Help

» Welcome Guest
[ Log In :: Register ]

Mini-ITX Boards Sale, Fanless BareBones Mini-ITX, Bootable 1G DSL USBs, 533MHz Fanless PC <-- SALE $200 each!
Get The Official Damn Small Linux Book. DSL Market , Great VPS hosting provided by Tektonic

[ Track this topic :: Email this topic :: Print this topic ]

reply to topic new topic new poll
Topic: UCI user.tar.gz errors?< Next Oldest | Next Newest >
eco2geek Offline

Group: Members
Posts: 16
Joined: Aug. 2005
Posted: April 01 2006,06:56 QUOTE

I'm booting DSL 2.3 from a USB key ("sda"), with a number of *.dsl, *.tar.gz, and *.uci MyDSL extensions on sda2.

Four of them, TclTutor, coreutils, mc, and vtcl (all *.uci's) give similar error messages when loading:

tar (child): /opt/coreutils/user.tar.gz: Cannot open: No such file or directory
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous error

(Substitute, e.g., "TclTutor" for "coreutils" and likewise for the other two; the error message is exactly the same.)

What does the error message mean, and how does one make it go away? Out of the four, the only one that doesn't have files in /opt is vtcl; its directory /opt/vtcl is completely empty.

Other uci's, like opera850 and openoffice-2.0, don't generate the error.
Back to top
Profile PM 
roberts Offline

Group: Members
Posts: 4983
Joined: Oct. 2003
Posted: April 01 2006,16:45 QUOTE

As stated previously, the U in UCI means by definition that an embedded user.tar.gz exists. These UCI's that are mentioned do not meet current UCI specifications.

I will broaden the scope of this definition to include .ci type extensions for v2.4, but that will not solve the issue for the many copies of current DSL which will continue to experience this error.

The maker of these UCI's must run some modified version of DSL othewise they too would be experiencing these errors.

The maker of these UCI should update them to include a null user.tar.gz. thereby supporting the definition and allowing their extensions to run all versions of DSL.

Anyone who makes DSL extensions should verify that they work on unmodified version of DSL.
Back to top
Profile PM WEB 
1 replies since April 01 2006,06:56 < Next Oldest | Next Newest >

[ Track this topic :: Email this topic :: Print this topic ]

reply to topic new topic new poll
Quick Reply: UCI user.tar.gz errors?

Do you wish to enable your signature for this post?
Do you wish to enable emoticons for this post?
Track this topic
View All Emoticons
View iB Code